org.omg.IOP

## Class TaggedProfile

- java.lang.Object
- - org.omg.IOP.TaggedProfile

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class TaggedProfile
      extends Object
      implements IDLEntity

  org/omg/IOP/TaggedProfile.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Saturday, November 15, 2014 4:31:39 PM GMT

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `profile_data` The associated profile data.
    `int` | `tag` The tag, represented as a profile id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaggedProfile()`
    `TaggedProfile(int _tag, byte[] _profile_data)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tag

          public int tag

      The tag, represented as a profile id.

    - #### profile_data

          public byte[] profile_data

      The associated profile data.

  - ### Constructor Detail

    - #### TaggedProfile

          public TaggedProfile()

    - #### TaggedProfile

          public TaggedProfile(int _tag,
                       byte[] _profile_data)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.